Package org.apache.sysds.runtime.compress.workload

# Class AWTreeNode

java.lang.Object
org.apache.sysds.runtime.compress.workload.AWTreeNode

Direct Known Subclasses:
  `WTreeNode`, `WTreeRoot`

public abstract class AWTreeNode extends Object
A workload tree is a compact representation of the operations on a matrix and derived intermediates, including the basic control structure and inlined functions as well as links to categories. The intension is to provide the ability to look at a variable and the methods performed on this variable, pruning away the rest of the DAG.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`AWTreeNode.WTNodeType`

## Constructor Summary

Constructors
Constructor
Description
`AWTreeNode(AWTreeNode.WTNodeType type)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addChild(WTreeNode node)`
`void`
`addOp(Op op)`
`List<WTreeNode>`
`getChildNodes()`
`List<Op>`
`getOps()`
`AWTreeNode.WTNodeType`
`getType()`
`boolean`
`isEmpty()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AWTreeNode

public AWTreeNode(AWTreeNode.WTNodeType type)

## Method Details

### getType

public AWTreeNode.WTNodeType getType()

### getChildNodes

public List<WTreeNode> getChildNodes()

### addChild

public void addChild(WTreeNode node)

### getOps

public List<Op> getOps()

### addOp

public void addOp(Op op)

### isEmpty

public boolean isEmpty()

### toString

public String toString()

Overrides:
  `toString` in class `Object`